package com.kdanmobile.reader.thumb.mode

import com.kdanmobile.reader.thumb.PdfThumbAdapter
import com.kdanmobile.reader.thumb.PdfThumbDialogFragment

abstract class Mode {
    abstract fun onPageItemClick(fragment: PdfThumbDialogFragment, pageIndex: Int, selectMap: MutableMap<Int, Boolean>, pdfThumbAdapter: PdfThumbAdapter)
    abstract fun onClickToolBarNavigation()
    abstract fun updateToolbar()
}